## org.eclipse.datatools.sqltools.routineeditor.ui
Class RoutineEditorImages

    java.lang.Object
      org.eclipse.datatools.sqltools.routineeditor.ui.RoutineEditorImages

    public final class RoutineEditorImages

extends java.lang.Object

Constructor Summary
`RoutineEditorImages()`

Method Summary
`static org.eclipse.swt.graphics.Image` `getImage(java.lang.String key)` Gets the image (.gif file) corresponding to the given key.
`static org.eclipse.jface.resource.ImageDescriptor` `getImageDescriptor(java.lang.String key)` Gets the image descriptor (.gif file) corresponding to the given key.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoutineEditorImages

    public RoutineEditorImages()

Method Detail

### getImage

    public static org.eclipse.swt.graphics.Image getImage(java.lang.String key)

  Gets the image (.gif file) corresponding to the given key.

  Returns:
    the requested image, or `null` if not found

### getImageDescriptor

    public static org.eclipse.jface.resource.ImageDescriptor getImageDescriptor(java.lang.String key)

  Gets the image descriptor (.gif file) corresponding to the given key.

  Returns:
    the requested image descriptor, or `null` if not found